Subject: Re: [bitcoin-dev] Ordinals BIP PR

From: Peter Todd <[email-masked]>
Date: Thu, 26 Oct 2023 22:05:30 +0000

On Mon, Oct 23, 2023 at 06:32:47PM +0200, Tim Ruffing wrote:
> On Mon, 2023-10-23 at 15:35 +0000, Peter Todd via bitcoin-dev wrote:
> > Thus
> > we should limit BIP assignment to the minimum possible: _extremely_
> > widespread
> > standards used by the _entire_ Bitcoin community, for the core
> > mission of
> > Bitcoin.
> 
> BIPs are Bitcoin Improvement *Proposals*. What you suggest would imply

BIPs being proposals is itself part of the problem. Note how RFCs have a Draft
RFC system to avoid giving numbers for absolutely every idea.

> that someone needs to evaluate them even before they become proposals.
> And this raises plenty of notoriously hard to answers questions:
>  * Who is in charge?
>  * How to predict if a proposal will be a widespread standard?
>  * What is the core mission of Bitcoin?
>  * How to measure if something is for the core mission?
>  * Who and what is the _entire_ Bitcoin community?

...and we still face those problems with the current BIPs system. In particular
the "Who is in charge?" problem. BIPs are always going to be a centralized
system.

-- 
https://petertodd.org 'peter'[:-1]@petertodd.org